List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.CredentialInventoryPolicy.List(ctx, operations.C1APICredentialInventoryV1CredentialInventoryPolicyServiceListRequest{})
if err != nil {
log.Fatal(err)
}
if res.CredentialInventoryPolicyServiceListResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/credential-inventory-policies \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/credential-inventory-policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/credential-inventory-policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"createdAt": "2023-11-07T05:31:56Z",
"delegated": {
"googleEnabled": true,
"googleHostedDomains": [
"<string>"
],
"microsoftEnabled": true,
"microsoftTenantIds": [
"<string>"
]
},
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"emailOtp": {
"codeLength": 123,
"maxAttempts": 123,
"ttlSeconds": 123
},
"enabledTypes": [],
"id": "<string>",
"isBuiltin": true,
"passkey": {
"allowedAaguids": [
"aSDinaTvuI8gbWludGxpZnk="
],
"requireUserVerification": true
},
"password": {
"checkBreached": true,
"historyDepth": 123,
"minLength": 123,
"requireMixedCase": true,
"requireNumber": true,
"requireSymbol": true
},
"priority": 123,
"totp": {
"codeLength": 123,
"periodSeconds": 123,
"skewTolerance": 123
},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}Credential Inventory
List
List all credential inventory policies in your tenant, one page at a time.
GET
/
api
/
v1
/
credential-inventory-policies
List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.CredentialInventoryPolicy.List(ctx, operations.C1APICredentialInventoryV1CredentialInventoryPolicyServiceListRequest{})
if err != nil {
log.Fatal(err)
}
if res.CredentialInventoryPolicyServiceListResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Query Parameters
The maximum number of results to return per page.
A pagination token from a previous List response.
Was this page helpful?
⌘I